using XGame.Editor.Build.AssetBundles;

namespace XGame.Editor.Build
{
    //[BuildCommand(BuildCommandPriority.SerializeConfigs)]
    class CmdSerializeConfigs : BaseBuildCommand, ICommandExecuter
    {
        //先屏蔽，等二进制序列化工具效率提升再修改
        public BuildErrorCode Execute()
        {
            if (SerializableUtils.SerializeAllConfigs())
            {
                return BuildErrorCode.CmdCompleted;
            }
            return BuildErrorCode.SerializeConfigsFailed;
        }
    }
}
